/* table.css */

/* Table container styles */
.table-container {
    display: flex;
    flex-direction: column;
    border: 2px solid var(--doxa-widget-border-color);
    border-radius: 15px;
    box-shadow: var(--doxa-widget-shadow);
    overflow: hidden;
    height: 600px; /* Adjust this value as needed */
}

/* Table styles */
.table-container table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* Header styles */
.table-container thead {
    background-color: var(--pico-background-color);
    box-shadow: var(--doxa-header-shadow);
}

.table-container th {
    position: sticky;
    top: 0;
    z-index: 2;
    padding: 0.75rem 1rem;
    text-align: left;
    font-weight: bold;
    color: var(--pico-color);
    background-color: var(--pico-background-color);
    cursor: pointer;
}

/* Sorting indicator styles */
.table-container thead tr:first-child th::after {
    content: '\25B4';
    display: inline-block;
    margin-left: 0.25rem;
    opacity: 0.5;
    font-size: 0.8em;
    transition: transform 0.2s ease-in-out;
    position: absolute;
    right: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
}

.table-container thead tr:first-child th.asc::after {
    content: '\25B4';
    opacity: 1;
}

.table-container thead tr:first-child th.desc::after {
    content: '\25BE';
    opacity: 1;
}

/* Filter row styles */
.table-container .filter-row th {
    padding: 0.5rem 1rem;
}

.table-container .filter-row input {
    width: 100%;
    padding: 0.25rem;
    margin-top: 0.25rem;
    border: 1px solid var(--doxa-widget-border-color);
    border-radius: 4px;
    background-color: var(--pico-background-color);
    color: var(--pico-color);
}

/* Body styles */
.table-container tbody {
    flex: 1;
    overflow-y: auto;
}

.table-container tbody tr {
    border-bottom: 1px solid var(--doxa-widget-border-color);
}

.table-container tbody tr:last-child {
    border-bottom: none;
}

/* Custom striping for summary rows */
.table-container tbody tr.expandable-row:nth-child(4n+1),
.table-container tbody tr.expandable-row:nth-child(4n+2) {
    background-color: var(--pico-background-color);
}

.table-container tbody tr.expandable-row:nth-child(4n+3),
.table-container tbody tr.expandable-row:nth-child(4n+4) {
    background-color: var(--pico-card-background-color, #f8f8f8);
}

/* Hover effect for expandable rows */
.table-container tbody tr.expandable-row.has-content:hover {
    background-color: var(--pico-primary-hover);
    cursor: pointer;
}

/* Expanded row styles */
.table-container tbody tr.expandable-row.expanded {
    background-color: var(--pico-primary-focus);
}

/* Expandable content styles */
.table-container .expandable-content {
    display: none;
    padding: 1rem;
    background-color: var(--pico-card-background-color);
    border-top: 1px solid var(--doxa-widget-border-color);
}

.table-container .expandable-content.active {
    display: table-row;
}

.table-container .expandable-content dl {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0.5rem 1rem;
}

.table-container .expandable-content dt {
    font-weight: bold;
    color: var(--pico-muted-color);
}

.table-container .expandable-content dd {
    margin: 0;
    color: var(--pico-color);
}

/* Footer styles */
.table-container tfoot {
    background-color: var(--pico-background-color);
    border-top: 1px solid var(--doxa-widget-border-color);
}

.table-container tfoot td {
    padding: 0.75rem 1rem;
}

/* Button row styles */
.table-container .button-row {
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
    padding: 1rem;
    background-color: var(--pico-background-color);
}

.table-container .button-row button {
    margin: 0;
}

/* Responsive design */
@media screen and (max-width: 800px) {
    .table-container {
        height: 400px; /* Adjust for smaller screens */
    }
}

/* Ensure the table takes full width in grid layouts */
.grid .table-container {
    grid-column: 1 / -1;
}
